%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GenCfg.m      : generate config
% author        : duweitao
% date          : 2008.May.25
% version       : 0.1
% modify        : initial version
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function cfg = GenCfg()
  random_T  = 0;        % stim type is random data
  sine_T    = 1;        % stim type is Amp*exp(j*2pi*f*n)
  stimType  = random_T; % set stim type here
  freqNorm  = 1/13;      % sine stim normlize freq
  Amp       = 1000;      % sine stim Amp
  N         = 32768;     % fft length
  fName     = 'fftInputData.txt' ;% C Lib testbench inputdata file name
  fDir      = '../cfftLib/make/';% output path

  fprintf(1, '# FFT Length is %d\n', N);
  if(stimType       == sine_T)
    fprintf(1, '# stimType setting to sine_T.\n');
  elseif(stimType   == random_T) 
    fprintf(1, '# stimType setting to random_T.\n');
  else
    fprintf(1, '# ERROR setting stimType\n');
  end
  fprintf(1, '# stim data Amp is %d\n', Amp);

  % save info to the returned struct obj 
  cfg.random_T  = random_T;  
  cfg.sine_T    = sine_T  ;  
  cfg.stimType  = stimType;  
  cfg.freqNorm  = freqNorm;  
  cfg.Amp       = Amp     ;  
  cfg.N         = N       ;  
  cfg.fName     = fName   ;  
  cfg.fDir      = fDir    ;  
end
